Package twisted :: Package protocols :: Module smtp :: Class SMTPSender

[frames | no frames]

## Class SMTPSender

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                  SMTPClient --+
                               |
                              SMTPSender

Utility class for sending emails easily - use with SMTPSenderFactory.

Method Summary
| ``getMailData`(self)` Return file-like object containing data of message to be sent.
| ``getMailFrom`(self)` Return the email address the mail is from.
| ``getMailTo`(self)` Return a list of emails to send to.
| ``sentMail`(self, code, resp, numOk, addresses, log)` Called when an attempt to send an email is completed.
Inherited from SMTPClient
| ``__init__`(self, identity, logsize)`
| ``connectionLost`(self, reason)` We are no longer connected
| ``connectionMade`(self)` Called when a connection is made.
| ``finishedFileTransfer`(self, lastsent)`
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``sendLine`(self, line)` Logging sendLine
| ``smtpConnectionFailed`(self, code, resp)`
| ``smtpState_data`(self, code, resp)`
| ``smtpState_disconnect`(self, code, resp)`
| ``smtpState_from`(self, code, resp)`
| ``smtpState_helo`(self, code, resp)`
| ``smtpState_msgSent`(self, code, resp)`
| ``smtpState_to`(self, code, resp)`
| ``smtpState_toOrData`(self, code, resp)`
| ``smtpTransferFailed`(self, code, resp)`
| ``transformChunk`(self, chunk)`
Inherited from LineReceiver
| ``clearLineBuffer`(self)` Clear buffered data.
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``rawDataReceived`(self, data)` Override this for when raw data is received.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver.
| ``setRawMode`(self)` Sets the raw mode of this receiver.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`int` | `done` = 0
Inherited from LineReceiver
`str` | `_LineReceiver__buffer` = `''`
`str` | `delimiter`: The line-ending delimiter to use.
`int` | `line_mode` = 1
`int` | `MAX_LENGTH`: The maximum length of a line to allow (If a sent line is longer than this, the connection is dropped).
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### getMailData(self)

Return file-like object containing data of message to be sent.

The file should be a text file with local line ending convention, i.e. readline() should return a line ending in '\n'.

  Overrides:
    `twisted.protocols.smtp.SMTPClient.getMailData` (inherited documentation)

### getMailFrom(self)

Return the email address the mail is from.

  Overrides:
    `twisted.protocols.smtp.SMTPClient.getMailFrom` (inherited documentation)

### getMailTo(self)

Return a list of emails to send to.

  Overrides:
    `twisted.protocols.smtp.SMTPClient.getMailTo` (inherited documentation)

### sentMail(self, code, resp, numOk, addresses, log)

Called when an attempt to send an email is completed.

If some addresses were accepted, code and resp are the response to the DATA command. If no addresses were accepted, code is -1 and resp is an informative message.

  Parameters:
    `addresses` - is a list of tuples (address, code, resp) listing the response to each RCPT command.
    `log` - is the SMTP session log
  Overrides:
    `twisted.protocols.smtp.SMTPClient.sentMail` (inherited documentation)

Class Variable Details

### done

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:46 2004 | http://epydoc.sf.net